Subject: checks written and question
From: "Patty and Mike Finan" <[email-masked]>
To: "Katy Parcells" <[email-masked]>
Date: Thu, 21 Jun 2007 14:46:44 -0400

Hi!

I wrote out check 2065 today to Rose Putnam for $25 for giving a presentation at Pioneer Day.
I wrote out check 2066 today to Janis Stein for $25 for giving her presentation at Pioneer Day.
I wrote out check 2067 today to Howard LeBeau for $80 for tuning the piano for the wedding on Saturday. 

Can we take the Burton Studio board down in the Church? Will we be getting any more back this season? 

Thanks!
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007  cell 989 670-8196
www.HuronCityMuseums.org